kr.co.hanwha.hifive.enums

## Enum MainTab

- java.lang.Object
- - java.lang.Enum<MainTab>
  - - kr.co.hanwha.hifive.enums.MainTab

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MainTab>

    public enum MainTab
    extends java.lang.Enum<MainTab>

메인 하단 탭 정의

Created by sanghoonkwon on 2018. 1. 11..

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DASHBOARD` Dashboard
`HOME` HOME
`PROJECT` Project
`SETTING` 설정

### Field Summary

Fields
`private int` `mCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static MainTab` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MainTab[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HOME

    public static final MainTab HOME

HOME

#### PROJECT

    public static final MainTab PROJECT

Project

#### DASHBOARD

    public static final MainTab DASHBOARD

Dashboard

#### SETTING

    public static final MainTab SETTING

설정

### Field Detail

#### mCode

    private int mCode

### Method Detail

#### values

    public static MainTab[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MainTab c : MainTab.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MainTab valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public int getCode()